<?php
/*
Plugin Name: Allow SVG Upload
Plugin URI: https://olcsoweboldal.hu/
Description: Forrás: https://wpengine.com/resources/enable-svg-wordpress/#Step_1_Edit_Your_Sites_Functionsphp_File
Version: 1.0
Author: Adam Szucs
Author URI: https://olcsoweboldal.hu/
License: GPL2
*/

// Allow SVG
add_filter( 'wp_check_filetype_and_ext', function($data, $file, $filename, $mimes) {

  global $wp_version;
  if ( $wp_version !== '4.7.1' ) {
     return $data;
  }

  $filetype = wp_check_filetype( $filename, $mimes );

  return [
      'ext'             => $filetype['ext'],
      'type'            => $filetype['type'],
      'proper_filename' => $data['proper_filename']
  ];

}, 10, 4 );

function cc_mime_types( $mimes ){
  $mimes['svg'] = 'image/svg+xml';
  return $mimes;
}
add_filter( 'upload_mimes', 'cc_mime_types' );

function fix_svg() {
  echo '<style type="text/css">
        .attachment-266x266, .thumbnail img {
             width: 100% !important;
             height: auto !important;
        }
        </style>';
}
add_action( 'admin_head', 'fix_svg' );